DRM_GEM_MMAP(9)

NAME
drm_gem_mmap - memory map routine for GEM objects

SYNOPSIS

int drm_gem_mmap(struct file * filp, struct vm_area_struct * vma);

ARGUMENTS

filp
    DRM file pointer

vma
    VMA for the area to be mapped

DESCRIPTION

If a driver supports GEM object mapping, mmap calls on the DRM file descriptor will end up here.

Look up the GEM object based on the offset passed in (vma->vm_pgoff will contain the fake offset we created when the GTT map ioctl was called on the object) and map it with a call to drm_gem_mmap_obj.

If the caller is not granted access to the buffer object, the mmap will fail with EACCES. Please see the vma manager for more information.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT